Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
PHP 5.3.1 - set_magic_quotes_runtime() veraltet
#1
hallo.

unser webpage hoster ist gestern auf einen Neuen Server gezogen. seid dem Kommt beim aufruf des MyBB folgende Meldung:
PHP-Code:
MyBB Internal Error

MyBB has experienced an internal error 
and cannot continue.

Error Type:
    (
8192)
Error Message:
    Function 
set_magic_quotes_runtime() is deprecated
Location
:
    
Fileinc/class_core.php
    Line
163
Code
:
    
160.             $this->strip_slashes_array($_GET);
    
161.             $this->strip_slashes_array($_COOKIE);
    
162.         }
    
163.         set_magic_quotes_runtime(0);
    
164.         @ini_set("magic_quotes_gpc"0);
    
165.         @ini_set("magic_quotes_runtime"0); 
    
166. 
Backtrace
:
    
File     Line     Function
    /
inc/class_error.php     171     errorHandler->output_error
    
[PHP]           errorHandler->error
    
/inc/class_core.php     163     set_magic_quotes_runtime
    
/inc/init.php     51     MyBB->MyBB
    
/global.php     19     require_once
    /
index.php 

bevor ich aber das ganze Forum schrotte frag ich lieber gleich hier um hilfe was ich tun kann.
MFG Toby
#2
Ich glaube du hast das schon geschrotted ;-)

Guck mal auf deinen host ob von deinem forum noch was übrig is ...
wenn nicht bzw nur noch ein bisschen dann is es kaputt =(

und außerdem is da doch noch das forum:
http://load.absol.bplaced.net/

Mfg
#3
das ist NICHT das forum
das ist hier:
http://board.shik-kai.de/

daten sind alle drauf, es zeigt ja nur an das die Funktion veraltet ist
#4
hmm ....

guck mal bitte auf deinen host
ob das den eigentlich benötigten speicher verbraucht ...
Wenn nein schätze ich das dein forum kaputt ist...
#5
Hallo,
die aktuelle Version von MyBB ist noch nicht kompatible mit PHP 5.3
Verwende bitte diesn Workaround und sag bescheid, ob danach alles klappt: http://community.mybboard.net/thread-521...#pid372017
(bitte NICHT den windowsinternen Editor verwenden, sondern einen welcher mit UTF8-BOM bei ANSI-Dateien umgehen kann: Notepad++ zum Bleistift).

@EYvil:
Lass solche Kommentare wie "Forum kaputt"... Rolleyes
#6
Funktioniert, Danke Big Grin